document.addEventListener('DOMContentLoaded', function() {
  //要素を取得
  const openButton = document.querySelector('.js-modal-open');
  const closeButton = document.querySelector('.js-modal-close');
  const modal = document.querySelector('.js-modal');

  if (openButton && closeButton && modal) {
    
    //モーダルを開く
    openButton.addEventListener('click', function() {
      modal.classList.add('is-active');
    });

    //モーダルを閉じる
    closeButton.addEventListener('click', function() {
      modal.classList.remove('is-active');
    });

    //「モーダルの外側」をクリックしてモーダルを閉じる
    function modalOut(e) {
      if (e.target == modal) {
        modal.classList.remove('is-active');
      }
    }
    modal.addEventListener('click', modalOut);
  } else {
    console.error('One or more elements are missing.');
  }
});